Batches Batch out and Open Batches Query

Get Current Open Batch

get

Retrieve the currently open batch on the gateway for the terminal.

Query parameters
refund-countanyOptional

Total number of refund transactions in the batch.

refund-totalanyOptional

Total number of refund transactions in the batch.

sales-countanyOptional

Total number of sale transactions in the batch.

sales-totalanyOptional

Total amount of sale transactions in the batch.

net-amountanyOptional

Total amount of transactions in the batch.

total-countanyOptional

Total number of transactions in the batch.

confirmation-codeanyOptional

Confirmation code for the settled batch.

settledanyOptional

Date and time when the batch was settled.

statusanyOptional

The status of the batch.

Header parameters
api-keyanyRequired

An access API key issued to you by Xplor Pay.

Responses
chevron-right
200

Success

idstringOptional

Unique identifier of the open batch.

Example: text
statusstringOptional

Current status of the batch.

Example: text
settledstringOptional

Indicates whether the batch has been settled.

Example: text
refund_countstringOptional

Total number of refund transactions in the batch.

Example: text
refund_totalstringOptional

Total amount of refunds processed in the batch.

Example: text
sales_countstringOptional

Total number of sales transactions in the batch.

Example: text
sales_totalstringOptional

Total amount of sales processed in the batch.

Example: text
net_amountstringOptional

Net amount for the batch after sales and refunds are applied.

Example: text
total_countstringOptional

Total number of transactions in the batch.

Example: text
confirmation_codestringOptional

Confirmation code when the batch is opened or updated.

Example: text
get
/rest/v1/batches/open

Close Current Open Batch

put

Close the currently open batch on the gateway.

Header parameters
api-keyanyRequired

An access API key issued to you by Xplor Pay.

Body

Request payload for closing the batch

lastBatchClosedRequiredInResponsebooleanRead-onlyOptional

Indicates whether the response must include details about the last batch that was closed.

Example: true
software-typestringOptional

Identifies the type of software that initiated the batch close request.

Example: string
Responses
chevron-right
200

Success

idstringOptional

Unique identifier of the open batch.

Example: text
statusstringOptional

Current status of the batch.

Example: text
settledstringOptional

Indicates whether the batch has been settled.

Example: text
refund_countstringOptional

Total number of refund transactions in the batch.

Example: text
refund_totalstringOptional

Total amount of refunds processed in the batch.

Example: text
sales_countstringOptional

Total number of sales transactions in the batch.

Example: text
sales_totalstringOptional

Total amount of sales processed in the batch.

Example: text
net_amountstringOptional

Net amount for the batch after sales and refunds are applied.

Example: text
total_countstringOptional

Total number of transactions in the batch.

Example: text
confirmation_codestringOptional

Confirmation code when the batch is opened or updated.

Example: text
put
/rest/v1/batches/open

Last updated

Was this helpful?